/// <reference types="react" />
import { JupyterFrontEnd } from '@jupyterlab/application';
import { ReactWidget } from '@jupyterlab/apputils';
import { IFileBrowserFactory } from '@jupyterlab/filebrowser';
import { Tensorboard } from '../tensorboard';
import { Message } from '@lumino/messaging';
import { TensorboardManager } from '../manager';
export interface TensorboardInvokeOptions {
    browserFactory: IFileBrowserFactory;
    tensorboardManager: TensorboardManager;
    createdModelName?: string;
    app: JupyterFrontEnd;
}
/**
 * A Counter Lumino Widget that wraps a CounterComponent.
 */
export declare class TensorboardTabReactWidget extends ReactWidget {
    browserFactory: IFileBrowserFactory;
    tensorboardManager: TensorboardManager;
    app: JupyterFrontEnd;
    currentTensorBoardModel: Tensorboard.IModel | null;
    createdModelName?: string;
    currentLogDir?: string;
    /**
     * Constructs a new CounterWidget.
     */
    constructor(options: TensorboardInvokeOptions);
    /**
     * Dispose of the resources held by the tensorboard widget.
     */
    dispose(): void;
    closeCurrent: () => void;
    protected updateCurrentModel: (model: Tensorboard.IModel | null) => void;
    getCWD: () => string;
    protected onCloseRequest(msg: Message): void;
    protected openTensorBoard: (modelName: string, copy: boolean) => void;
    protected openDoc: () => void;
    startNew: (logdir: string, refreshInterval: number, enableMultiLog: boolean, options?: Tensorboard.IOptions | undefined) => Promise<Tensorboard.ITensorboard>;
    setWidgetName: (name: string) => void;
    render(): JSX.Element;
}
